Text::Bidi::Array::Long(3pm)

NAME
Text::Bidi::Array::Long - Dual-life long arrays

VERSION
version 2.18

SYNOPSIS
    use Text::Bidi::Array::Long;
    my $a = new Text::Bidi::Array::Long "abc";
    say $a->[0]; # says 6513249 (possibly)
    say $a->[1]; # says 0
    say $$a; # says abc
    say "$a"; # also says abc

DESCRIPTION
This is an derived class of Text::Bidi::Array designed to hold "long" arrays. See Text::Bidi::Array for details on usage of this class. Each element of the array representation corresponds to 4 octets in the string representation. The 4 octets are packed in the endianness of the native machine.

AUTHOR
Moshe Kamensky <kamensky@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Moshe Kamensky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.